Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class LogService

    java.lang.Object
      org.jasig.portal.services.LogService

Deprecated. As of uPortal 2.4, please use Apache Commons Logging directly

    public final class LogService

extends java.lang.Object

As of uPortal 2.4, use Apache Commons Logging directly instead of using this LogService. This LogService is retained here for backwards compatibility, and presumably will disappear in a future release. The LogService is a service offered by the uPortal framework whereby messages can be logged. Each uPortal deployment can customize exactly where how and how much they want logged. As of uPortal 2.4, this is accomplished by this class delegating all logging to Apache Commons Logging. The expected typical (and default) local logging configuration is to use the Logger.properties file to configure Log4J as the underlying logging implementation, to a file on disk. However, the options are endless under Log4J: you can configure it to log as XML, to log to a tree of files depending upon where the logging message is coming from and at what logging level, to send log messages over the network to a Chainsaw instance listening to your uPortal... Furthermore, you don't even have to use Log4J: Commons Logging supports JDK1.4 logging as well as the ability for you to plug in a custom logging implementation if you really want to.

Version:
  $Revision: 1.25 $ $Date: 2005/01/17 18:43:50 $
Author:
  Ken Weiner, Bernie Durfee, Vikrant Joshi, Zed A. Shaw, andrew.petro@yale.edu

Field Summary
`static org.apache.log4j.Priority` | `DEBUG` Deprecated.
`static org.apache.log4j.Priority` | `ERROR` Deprecated.
`static org.apache.log4j.Priority` | `INFO` Deprecated.
`private static org.apache.commons.logging.Log` | `log` Deprecated.
`private static LogService` | `m_instance` Deprecated.
`static org.apache.log4j.Priority` | `NONE` Deprecated.
`static org.apache.log4j.Priority` | `SEVERE` Deprecated.
`static org.apache.log4j.Priority` | `WARN` Deprecated.

Constructor Summary
`protected` | `LogService()` Deprecated.

Method Summary
`private static void` | `initialize()` Deprecated. no longer does anything
`static LogService` | `instance()` Deprecated.
`static void` | `log(org.apache.log4j.Priority pLogLevel, java.lang.String sMessage)` Deprecated.
`static void` | `log(org.apache.log4j.Priority pLogLevel, java.lang.String sMessage, java.lang.Throwable ex)` Deprecated.
`static void` | `log(org.apache.log4j.Priority pLogLevel, java.lang.Throwable ex)` Deprecated. Log the given throwable at the given priority.
`static void` | `log(java.lang.String sMessage)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final org.apache.log4j.Priority NONE

  Deprecated.

### SEVERE

    public static final org.apache.log4j.Priority SEVERE

  Deprecated.

### ERROR

    public static final org.apache.log4j.Priority ERROR

  Deprecated.

### WARN

    public static final org.apache.log4j.Priority WARN

  Deprecated.

### INFO

    public static final org.apache.log4j.Priority INFO

  Deprecated.

### DEBUG

    public static final org.apache.log4j.Priority DEBUG

  Deprecated.

### log

    private static final org.apache.commons.logging.Log log

  Deprecated.

### m_instance

    private static final LogService m_instance

  Deprecated.

Constructor Detail

### LogService

    protected LogService()

  Deprecated.

Method Detail

### instance

    public static final LogService instance()

  Deprecated.

### initialize

    private static final void initialize()

  Deprecated. no longer does anything

  Used to configure Log4J with the Logger.properties file. Now does nothing, as the build.xml now copies the Logger.properties file to the well known name (log4j.properties) and location (base of the classpath by virtue of being in the base of the WEB-INF/classes/ directory) expected by Log4J.

### log

    public static final void log(org.apache.log4j.Priority pLogLevel,
                                 java.lang.String sMessage)

  Deprecated.

### log

    public static final void log(org.apache.log4j.Priority pLogLevel,
                                 java.lang.Throwable ex)

  Deprecated.
  Log the given throwable at the given priority.

  Parameters:
    `pLogLevel` - - logging level
    `ex` - - throwable to be logged

### log

    public static final void log(org.apache.log4j.Priority pLogLevel,
                                 java.lang.String sMessage,
                                 java.lang.Throwable ex)

  Deprecated.

### log

    public static final void log(java.lang.String sMessage)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD